Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java	(revision 791)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java	(revision 792)
@@ -5,10 +5,6 @@
 
 public class SpecificitiesUIMessages extends NLS {
 	
-
-	private static final String BUNDLE_NAME = "org.txm.specificities.rcp.messages.messages"; //$NON-NLS-1$
-	
-	
 	public static String SpecificitiesPreferencePage_2;
 	public static String SpecificitiesPreferencePage_3;
 	public static String SpecificitiesPreferencePage_4;
@@ -19,11 +15,10 @@
 	public static String SpecificitiesPreferencePage_8;
 	public static String SpecificitiesTableEditor_0;
 	public static String SpecificitiesTableEditor_11;
-
 	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, SpecificitiesUIMessages.class);
+		Utf8NLS.initializeMessages(SpecificitiesUIMessages.class);
 	}
 
 	private SpecificitiesUIMessages() {
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/widgets/Messages.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/widgets/Messages.java	(revision 791)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/widgets/Messages.java	(revision 792)
@@ -1,17 +1,19 @@
 package org.txm.analec.widgets;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
 
 public class Messages extends NLS {
-	private static final String BUNDLE_NAME = "org.txm.analec.widgets.messages"; //$NON-NLS-1$
+	
 	public static String NavigationField_0;
 	public static String NavigationField_2;
 	public static String NavigationField_3;
 	public static String NavigationField_4;
 	public static String NavigationField_5;
+	
 	static {
 		// initialize resource bundle
-		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+		Utf8NLS.initializeMessages(Messages.class);
 	}
 
 	private Messages() {
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/Messages.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/Messages.java	(revision 791)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/Messages.java	(revision 792)
@@ -1,14 +1,16 @@
 package org.txm.analec;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
 
 public class Messages extends NLS {
-	private static final String BUNDLE_NAME = "org.txm.analec.messages"; //$NON-NLS-1$
+
 	public static String AnalecCorpora_3;
 	public static String AnalecCorpora_4;
+	
 	static {
 		// initialize resource bundle
-		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+		Utf8NLS.initializeMessages(Messages.class);
 	}
 
 	private Messages() {
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbarbutton/Messages.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbarbutton/Messages.java	(revision 791)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbarbutton/Messages.java	(revision 792)
@@ -1,9 +1,10 @@
 package org.txm.analec.toolbarbutton;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
 
 public class Messages extends NLS {
-	private static final String BUNDLE_NAME = "org.txm.analec.toolbarbutton.messages"; //$NON-NLS-1$
+
 	public static String StartButton_0;
 	public static String StartButton_1;
 	public static String StartButton_10;
@@ -17,9 +18,10 @@
 	public static String StartButton_7;
 	public static String StartButton_8;
 	public static String StartButton_9;
+	
 	static {
 		// initialize resource bundle
-		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+		Utf8NLS.initializeMessages(Messages.class);
 	}
 
 	private Messages() {
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/Messages.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/Messages.java	(revision 791)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/toolbar/Messages.java	(revision 792)
@@ -1,9 +1,10 @@
 package org.txm.analec.toolbar;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
 
 public class Messages extends NLS {
-	private static final String BUNDLE_NAME = "org.txm.analec.toolbar.messages"; //$NON-NLS-1$
+
 	public static String AnnotationToolbar_0;
 	public static String AnnotationToolbar_6;
 	public static String AnnotationToolbar_7;
@@ -37,9 +38,10 @@
 	public static String UnitToolbar_63;
 	public static String UnitToolbar_7;
 	public static String UnitToolbar_8;
+	
 	static {
 		// initialize resource bundle
-		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+		Utf8NLS.initializeMessages(Messages.class);
 	}
 
 	private Messages() {
Index: tmp/org.txm.referencer.core/src/org/txm/referencer/core/messages/ReferencerCoreMessages.java
===================================================================
--- tmp/org.txm.referencer.core/src/org/txm/referencer/core/messages/ReferencerCoreMessages.java	(revision 791)
+++ tmp/org.txm.referencer.core/src/org/txm/referencer/core/messages/ReferencerCoreMessages.java	(revision 792)
@@ -12,17 +12,12 @@
  */
 public class ReferencerCoreMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.referencer.core.messages.messages"; //$NON-NLS-1$
-	
-	
 	public static String Referencer_1;
 	public static String Referencer_2;
 	
-	
-	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, ReferencerCoreMessages.class);
+		Utf8NLS.initializeMessages(ReferencerCoreMessages.class);
 	}
 	
 	
Index: tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/RCoreMessages.java
===================================================================
--- tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/RCoreMessages.java	(revision 791)
+++ tmp/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/messages/RCoreMessages.java	(revision 792)
@@ -12,8 +12,6 @@
  */
 public class RCoreMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.statsengine.r.core.messages.messages"; //$NON-NLS-1$
-
 	public static String error_cantFindRServeInPath;
 	public static String error_connectionFailed;
 	public static String error_errorDuringItemsListExtraction;
@@ -50,7 +48,7 @@
 
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, RCoreMessages.class);
+		Utf8NLS.initializeMessages(RCoreMessages.class);
 	}
 
 	private RCoreMessages() {
Index: tmp/org.txm.groovy.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.groovy.core/META-INF/MANIFEST.MF	(revision 791)
+++ tmp/org.txm.groovy.core/META-INF/MANIFEST.MF	(revision 792)
@@ -20,7 +20,7 @@
  org.txm.core;bundle-version="0.7.0",
  org.txm.index.core;bundle-version="1.0.0",
  org.txm.lexicaltable.core;bundle-version="1.0.0",
-  org.txm.libs.batik;bundle-version="0.0.0",
+ org.txm.libs.batik;bundle-version="0.0.0",
  org.txm.libs.colt;bundle-version="1.2.0",
  org.txm.libs.itext;bundle-version="2.1.5",
  org.txm.libs.jfreechart;bundle-version="1.0.17",
@@ -35,7 +35,7 @@
  org.txm.libs.cqp;bundle-version="1.0.0",
  org.txm.searchengine.core;bundle-version="1.0.0",
  org.eclipse.swt;bundle-version="3.103.2",
- org.txm.information.core;bundle-version="1.0.0"
+ org.txm.properties.core;bundle-version="1.0.0"
 Export-Package: .,
  filters.BuildXmlLiturgie,
  filters.Concatenator,
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/test/CQPBenchmark.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/test/CQPBenchmark.groovy	(revision 791)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/test/CQPBenchmark.groovy	(revision 792)
@@ -104,7 +104,7 @@
 	// INFORMATIONS
 	print " INFO"
 	time = System.currentTimeMillis();
-	def diag = new Information(corpus, 20)
+	def diag = new Properties(corpus, 20)
 	diag.stepGeneralInfos();
 	diag.stepLexicalProperties();
 	diag.stepStructuralUnits();
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/test/Informations.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/test/Informations.groovy	(revision 791)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/test/Informations.groovy	(revision 792)
@@ -35,7 +35,7 @@
 
 // imports des fonctions que l'on va utiliser
 import org.txm.Toolbox
-import org.txm.information.core.functions.Information
+import org.txm.properties.core.functions.Properties
 import org.txm.searchengine.cqp.corpus.*
 import org.txm.objects.*
 
@@ -54,7 +54,7 @@
 
 try
 {
-	def d = new Information(corpus, 20)
+	def d = new Properties(corpus, 20)
 	d.process();
 	println d.htmlDump()
 } catch(Exception e){	e.printStackTrace() }
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/messages/WordCloudUIMessages.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/messages/WordCloudUIMessages.java	(revision 791)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/messages/WordCloudUIMessages.java	(revision 792)
@@ -5,9 +5,6 @@
 
 public class WordCloudUIMessages extends NLS {
 	
-
-	private static final String BUNDLE_NAME = "org.txm.wordcloud.rcp.messages.messages"; //$NON-NLS-1$
-	
 	public static String EditorToolBar_vmax;
 	public static String EditorToolBar_fmin;
 	public static String EditorToolBar_Percent_of_rotated_labels;
@@ -29,7 +26,7 @@
 	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, WordCloudUIMessages.class);
+		Utf8NLS.initializeMessages(WordCloudUIMessages.class);
 	}
 
 	private WordCloudUIMessages() {
Index: tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/messages/WordCloudCoreMessages.java
===================================================================
--- tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/messages/WordCloudCoreMessages.java	(revision 791)
+++ tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/messages/WordCloudCoreMessages.java	(revision 792)
@@ -1,11 +1,10 @@
 package org.txm.wordcloud.core.messages;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
 
 public class WordCloudCoreMessages extends NLS {
 	
-	private static final String BUNDLE_NAME = "org.txm.wordcloud.core.messages.messages"; //$NON-NLS-1$
-
 	public static String RESULT_TYPE;
 	
 	public static String Log_Aborting;
@@ -18,7 +17,7 @@
 
 	static {
 		// initialize resource bundle
-		NLS.initializeMessages(BUNDLE_NAME, WordCloudCoreMessages.class);
+		Utf8NLS.initializeMessages(WordCloudCoreMessages.class);
 	}
 
 	private WordCloudCoreMessages() {
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/messages/PartitionUIMessages.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/messages/PartitionUIMessages.java	(revision 791)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/messages/PartitionUIMessages.java	(revision 792)
@@ -11,15 +11,12 @@
  */
 public class PartitionUIMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.partition.rcp.messages.messages"; //$NON-NLS-1$
-
 	public static String PreferencesPage_DIMENSIONS_DISPLAY_PARTS_COUNT_IN_TITLE;
 	public static String PreferencesPage_DIMENSIONS_SORT_BY_PARTS_SIZE;
 	
-
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, PartitionUIMessages.class);
+		Utf8NLS.initializeMessages(PartitionUIMessages.class);
 	}
 
 	private PartitionUIMessages() {
Index: tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/CooccurrenceUIMessages.java
===================================================================
--- tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/CooccurrenceUIMessages.java	(revision 791)
+++ tmp/org.txm.cooccurrence.rcp/src/org/txm/cooccurrence/rcp/messages/CooccurrenceUIMessages.java	(revision 792)
@@ -5,9 +5,6 @@
 
 public class CooccurrenceUIMessages extends NLS {
 	
-	private static final String BUNDLE_NAME = "org.txm.cooccurrence.rcp.messages.messages"; //$NON-NLS-1$
-	
-	
 	public static String CoocPreferencePage_0;
 	public static String CoocPreferencePage_1;
 	public static String CoocPreferencePage_11;
@@ -46,10 +43,9 @@
 	public static String CooccurrencesEditor_11;
 	// end of fixme
 
-	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, CooccurrenceUIMessages.class);
+		Utf8NLS.initializeMessages(CooccurrenceUIMessages.class);
 	}
 
 	private CooccurrenceUIMessages() {
Index: tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/InternalViewCoreMessages.java
===================================================================
--- tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/InternalViewCoreMessages.java	(revision 791)
+++ tmp/org.txm.internalview.core/src/org/txm/internalview/core/messages/InternalViewCoreMessages.java	(revision 792)
@@ -12,13 +12,11 @@
  */
 public class InternalViewCoreMessages extends NLS {
 	
-	private static final String BUNDLE_NAME = "org.txm.internalview.core.messages.messages"; //$NON-NLS-1$
-	
 	public static String InternalView_3;
 	public static String InternalView_6;
 	public static String InternalView_7;
 	
 	static {
-		Utf8NLS.initializeMessages(BUNDLE_NAME, InternalViewCoreMessages.class);
+		Utf8NLS.initializeMessages(InternalViewCoreMessages.class);
 	}
 }
Index: tmp/org.txm.utils/src/org/txm/utils/messages/UtilsCoreMessages.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/messages/UtilsCoreMessages.java	(revision 791)
+++ tmp/org.txm.utils/src/org/txm/utils/messages/UtilsCoreMessages.java	(revision 792)
@@ -11,8 +11,6 @@
  */
 public class UtilsCoreMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.utils.messages.messages"; //$NON-NLS-1$
-	
 	public static String ExecTimer_0;
 	public static String ExecTimer_1;
 	public static String ExecTimer_2;
@@ -33,15 +31,9 @@
 	public static String Pair_0;
 	public static String Pair_1;
 	public static String Sh_4;
-
 	
-	
-	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, UtilsCoreMessages.class);
+		Utf8NLS.initializeMessages(UtilsCoreMessages.class);
 	}
-	
-	
-	
 }
Index: tmp/org.txm.utils/src/org/txm/utils/messages/Utf8NLS.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/messages/Utf8NLS.java	(revision 791)
+++ tmp/org.txm.utils/src/org/txm/utils/messages/Utf8NLS.java	(revision 792)
@@ -4,6 +4,7 @@
 import java.lang.reflect.Modifier;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.utils.logger.Log;
 
 
 /**
@@ -17,8 +18,14 @@
 	private static final int MOD_EXPECTED = Modifier.PUBLIC | Modifier.STATIC;
 	private static final int MOD_MASK = MOD_EXPECTED | Modifier.FINAL;
 
+	/**
+	 *  initialize UTF-8 messages using the Message class package path as base name
+	 * @param clazz
+	 */
+	public static void initializeMessages(Class<?> clazz) {
+		initializeMessages(clazz.getPackage().getName()+".messages", clazz);
+	}
 	
-	
 	/**
 	 * Initializes messages using UTF-8 encoding.
 	 * @param baseName
Index: tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/messages/CooccurrenceCoreMessages.java
===================================================================
--- tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/messages/CooccurrenceCoreMessages.java	(revision 791)
+++ tmp/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/messages/CooccurrenceCoreMessages.java	(revision 792)
@@ -5,8 +5,6 @@
 
 public class CooccurrenceCoreMessages extends NLS {
 	
-	private static final String BUNDLE_NAME = "org.txm.cooccurrence.core.messages.messages"; //$NON-NLS-1$
-	
 	public static String Cooccurrence_10;
 	public static String Cooccurrence_102;
 	public static String Cooccurrence_103;
@@ -32,6 +30,6 @@
 	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, CooccurrenceCoreMessages.class);
+		Utf8NLS.initializeMessages(CooccurrenceCoreMessages.class);
 	}
 }
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java	(revision 791)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java	(revision 792)
@@ -11,10 +11,6 @@
  */
 public class CAUIMessages extends Utf8NLS {
 	
-	
-	private static final String BUNDLE_NAME = "org.txm.ca.rcp.messages.messages"; //$NON-NLS-1$
-	
-	
 	public static String PreferencePage_0;
 	public static String PreferencePage_1;
 	public static String PreferencePage_2;
@@ -65,7 +61,7 @@
 
 	
 	static {
-		Utf8NLS.initializeMessages(BUNDLE_NAME, CAUIMessages.class);
+		Utf8NLS.initializeMessages(CAUIMessages.class);
 	}
 
 }
Index: tmp/org.txm.para.rcp/src/org/txm/para/rcp/messages/ParaBrowserUIMessages.java
===================================================================
--- tmp/org.txm.para.rcp/src/org/txm/para/rcp/messages/ParaBrowserUIMessages.java	(revision 791)
+++ tmp/org.txm.para.rcp/src/org/txm/para/rcp/messages/ParaBrowserUIMessages.java	(revision 792)
@@ -13,8 +13,6 @@
  */
 public class ParaBrowserUIMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.para.rcp.messages.messages"; //$NON-NLS-1$
-
 	public static String ParaBrowserEditor_11;
 	public static String ParaBrowserEditor_18;
 	public static String ParaBrowserEditor_19;
@@ -29,7 +27,7 @@
 
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, ParaBrowserUIMessages.class);
+		Utf8NLS.initializeMessages(ParaBrowserUIMessages.class);
 	}
 
 	private ParaBrowserUIMessages() {
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java	(revision 791)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java	(revision 792)
@@ -12,8 +12,6 @@
  */
 public class SpecificitiesCoreMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.specificities.core.messages.messages"; //$NON-NLS-1$
-
 	public static String ChartsError_CANT_CREATE_SPECIFICITIES_FILE_CHART;
 	
 	public static String Charts_X_AXIS_LABEL;
@@ -35,10 +33,9 @@
 
 	public static String error_errorWhileComputingSpecificities;
 
-	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, SpecificitiesCoreMessages.class);
+		Utf8NLS.initializeMessages(SpecificitiesCoreMessages.class);
 	}
 
 }
Index: tmp/org.txm.information.core/.project
===================================================================
--- tmp/org.txm.information.core/.project	(revision 791)
+++ tmp/org.txm.information.core/.project	(revision 792)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <projectDescription>
-	<name>org.txm.information.core</name>
+	<name>org.txm.properties.core</name>
 	<comment></comment>
 	<projects>
 	</projects>
Index: tmp/org.txm.information.core/src/org/txm/properties/core/messages/PropertiesCoreMessages.java
===================================================================
--- tmp/org.txm.information.core/src/org/txm/properties/core/messages/PropertiesCoreMessages.java	(revision 0)
+++ tmp/org.txm.information.core/src/org/txm/properties/core/messages/PropertiesCoreMessages.java	(revision 792)
@@ -0,0 +1,46 @@
+package org.txm.properties.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+
+/**
+ * Information core messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class PropertiesCoreMessages extends NLS {
+
+	public static String Properties_0;
+	public static String Properties_1;
+	public static String Properties_11;
+	public static String Properties_14;
+	public static String Properties_16;
+	public static String Properties_2;
+	public static String Properties_22;
+	public static String Properties_26;
+	public static String Properties_3;
+	public static String Properties_4;
+	public static String Properties_40;
+	public static String Properties_41;
+	public static String Properties_43;
+	public static String Properties_49;
+	public static String Properties_5;
+	public static String Properties_6;
+	public static String Properties_7;
+	public static String Properties_8;
+	public static String Properties_9;
+
+	
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(PropertiesCoreMessages.class);
+	}
+
+	private PropertiesCoreMessages() {
+	}
+	
+}

